### Method

# Gdk GLTextureBuilder build

since: 4.12

#### Declaration [src]

    GdkTexture*
    gdk_gl_texture_builder_build (
      GdkGLTextureBuilder* self,
      GDestroyNotify destroy,
      gpointer data
    )

#### Description [src]

Builds a new `GdkTexture` with the values set up in the builder.

The `destroy` function gets called when the returned texture gets released; either when the texture is finalized or by an explicit call to `gdk_gl_texture_release()`. It should release all GL resources associated with the texture, such as the `GdkGLTextureBuilder:id` and the `GdkGLTextureBuilder:sync`.

Note that it is a programming error to call this function if any mandatory property has not been set.

It is possible to call this function multiple times to create multiple textures, possibly with changing properties in between.

Available since: 4.12

#### Parameters

`destroy`

  Type: `GDestroyNotify`

  Destroy function to be called when the texture is released.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  User data to pass to the destroy function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GdkTexture`

A newly built `GdkTexture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.